
// Alarm.java
// Andrew Davison, March 2017, ad@fivedots.coe.psu.ac.th

/* Create a sequence of pictures from "Help", and then
   play. Then quickly switch betwen sprites on the left
   of the complete text.

*/

import java.util.*;


public class Alarm
{

  public static void main(String[] args)
  {
    Screen scr = new Screen();
    SpriteStore ss = new SpriteStore(SpriteStore.SMALL);
    ss.loadSprites("sprites1.txt");
    ss.printNames();

    // convert "Help" into a sprite made up of a series of pictures
    Sprite helpSeq = Utils.buildRight( ss.buildMsg("Help") );
             // or try buildUp()

    helpSeq.setX(6);  // located at (6,0)
    Utils.showSeq(scr, helpSeq);  

    Utils.play("bell.wav");

    // show '+' and 'x' sprites a few times
    Sprite[] sprites = new Sprite[2];
    sprites[0] = ss.getSprite("plus");
    sprites[1] = ss.getSprite("times");
    Utils.showAll(scr, sprites, 10);

    Utils.waitEnter();
    scr.close();
  }  // end of main()


}  // end of Alarm class

