
// Alarm2.java
// Andrew Davison, March 2017, ad@fivedots.coe.psu.ac.th

/* Display two ways to rotate sprites, then draw a rectangle,
   and flash 'N' on/off a few times in the center of the board.
*/


public class Alarm2
{

  public static void main(String[] args)
  {
    Screen scr = new Screen();

    SpriteStore ss = new SpriteStore();   // load BIG font by default
    ss.loadSprites("sprites1.txt");
    ss.loadMultiSprite("arrows.txt");
    ss.printNames();

    Sprite[] alarms = new Sprite[3];
    alarms[0] = ss.getSprite("alarm1");
    alarms[1] = ss.getSprite("alarm2");
    alarms[2] = ss.getSprite("alarm3");

    Utils.play("romans", 3);

    // iterate through the alarm sprites a few times
    Utils.showAll(scr, alarms, 9);

    // then loop through the arrows sprite animation
    Sprite arrows = ss.getSprite("arrows");
    arrows.setPos(9, 1);  // place at (9,1)
    Utils.loop(scr, arrows, 5);

    // draw a rectangle around the cleared display
    scr.clear();
    scr.addRect(0,0, scr.getWidth()-1, scr.getHeight()-1);
    scr.draw();
    Utils.delay(1000);

    // flash an 'N' in the center
    Sprite n = ss.getSprite('N');
    // n.print();
    n.setPos(Sprite.CENTER, scr.getWidth()/2, scr.getHeight()/2);
    Utils.flash(scr, n, 5);

    // leave just the 'N' in place
    scr.clear();
    scr.add(n);
    scr.draw();

    Utils.waitEnter();
    scr.close();
  }  // end of main()


}  // end of Alarm2 class

