
// Cycle.java
// Andrew Davison, March 2017, ad@fivedots.coe.psu.ac.th

/* Play a loaded multi-pic sprite
   The pictures: line.txt, pattern.txt, and robot.txt
   comes from the Dream Cheeky LED message board software
   and were originally bitmaps. They werre converted with 
   ToAscii.java

   Usage:
      run Cycle line      // executes line.txt
      run Cycle pattern   // executes pattern.txt
      run Cycle robot     // executes robot.txt
*/

// import java.util.*;


public class Cycle
{

  public static void main(String[] args)
  {
    if (args.length != 1) {
      System.out.println("Usage: run Cycle <multi-pic sprite-name>");
      return;
    }

    Screen scr = new Screen();
    SpriteStore ss = new SpriteStore();
    ss.loadMultiSprite(args[0]+".txt");
    // ss.printNames();

    Sprite s = ss.getSprite(args[0]);
    Utils.loop(scr, s, 5);  

    Utils.waitEnter();
    scr.close();
  }  // end of main()


}  // end of Cycle class

