
// Message.java
// Andrew Davison, March 2017, ad@fivedots.coe.psu.ac.th

/* Display an envelope sprite in the center of the board
   and move two arrows from the left and right edges
   towards it. 'Flash' the envelope on/off by inverting
   its image, and play a sound.

*/


public class Message
{

  public static void main(String[] args)
  {
    Screen scr = new Screen();
    SpriteStore ss = new SpriteStore(SpriteStore.SMALL);
    ss.loadSprites("sprites1.txt");
    ss.printNames();

    // left arrow off left edge
    Sprite rightArrow = ss.getSprite("rightArrow");  // -->
    rightArrow.setPos(Sprite.NE, -1, 0);

    // envelope in center
    Sprite envelope = ss.getSprite("envelope");
    envelope.setPos(Sprite.NORTH, scr.getWidth()/2, 0);

    // right arrow off right edge
    Sprite leftArrow = ss.getSprite("leftArrow");    // <--
    leftArrow.setPos(Sprite.NW, scr.getWidth()+1, 0);

    scr.add(envelope);
    scr.draw();

    Utils.play("notify");

    // move arrows in towards the envelope
    for (int i=0; i < 8; i++) {
      scr.clear();
      rightArrow.xStep(1);
      leftArrow.xStep(-1);
      scr.add(leftArrow);
      scr.add(rightArrow);
      scr.add(envelope);
      scr.draw();
      Utils.delay(200);
    }

    ArrUtils.printTransforms();

    // 'flash' the envelope by inverting the image
    Utils.flashInvert(scr, envelope, 5);

    Utils.waitEnter();
    scr.close();
  }  // end of main()

}  // end of Message class

