
// Walker.java
// Andrew Davison, March 2017, ad@fivedots.coe.psu.ac.th

/* Draw an animated walker who continually moves left to 
   right across the screen, passing in front of a house.

   Type ctrl-c to stop the animation.
*/

import java.util.*;



public class Walker
{

  public static void main(String[] args)
  {
    Screen scr = new Screen();
    SpriteStore ss = new SpriteStore();
    ss.loadSprites("sprites1.txt");
    ss.loadMultiSprite("stickWalk.txt");  // contains walker animation
    // ss.printNames();

    Sprite house = ss.getSprite("house");
    house.setX(6);   // located at (6,0)

    Sprite walker = ss.getSprite("walker");
    int startPos = -walker.getWidth();
    walker.setX(startPos);
    // System.out.println("walker sprites: ");
    // walker.print();   // for debugging

    int no = 0;    // stores the picture number
    while(true) {   // never finish
      scr.clear();
      scr.add(house);

      walker.xStep(1);      // move right
      walker.toPic(no);     // switch to picture <no>
      boolean isVis = scr.add(walker);
      no = (no+1) % walker.numPics();  // store next picture number

      scr.draw();
      if (!isVis) {   // has walker left the board?
        Utils.play("teleport.wav");
        walker.setX(startPos);   // reset to starting position
      }
      Utils.delay(200);
    }
  }  // end of main()


}  // end of Walker class

