
// DrawBoard.java
// Andrew Davison, March 2017, ad@fivedots.coe.psu.ac.th

/* A drawing application that mimics the 
   Dream Cheeky LED Message Board,
   to make it a bit easier to design and draw sprites.
*/


import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class DrawBoard extends JFrame 
{
  private DrawPanel pane;


  public DrawBoard()
  {
    super("LED Board");
    Container c = getContentPane();  // default BorderLayout
    pane = new DrawPanel();
    c.add(pane, BorderLayout.CENTER);

    // three buttons on left hand side of drawing pane
    JPanel controls = new JPanel();
    controls.setLayout( new BoxLayout(controls, BoxLayout.Y_AXIS));

    JButton printJB = new JButton("Print");  // print the current design
    printJB.addActionListener( new ActionListener() {
      public void actionPerformed(ActionEvent e) 
      { pane.printSprite();  }
    });
    controls.add(printJB);
    controls.add(Box.createRigidArea(new Dimension(0, 5)));

    JButton invertJB = new JButton("Invert");  // invert ON <-> OFF in pane
    invertJB.addActionListener( new ActionListener() {
      public void actionPerformed(ActionEvent e) 
      { pane.invert();
        pane.repaint();
      }
    });
    controls.add(invertJB);
    controls.add(Box.createRigidArea(new Dimension(0, 5)));

    JButton clearJB = new JButton("Clear");  // clear the drawing area
    clearJB.addActionListener( new ActionListener() {
      public void actionPerformed(ActionEvent e) 
      { pane.clear();
        pane.repaint();
      }
    });
    controls.add(clearJB);

    c.add(controls, BorderLayout.WEST);

    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    pack();  
    setLocationRelativeTo(null);  // center the window 
    setVisible(true);
  }  // end of DrawBoard()


  // ---------------------------------------------------

  public static void main(String args[])
  {  new DrawBoard(); }

} // end of DrawBoard

